Bug 1002353 - error message in engine.log regarding a 404 response when attempting to read "/doc/ovirt-engine/manual/DocumentationPath.csv"
error message in engine.log regarding a 404 response when attempting to read ...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.1
Assigned To: Greg Sheremeta
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 21:35 EDT by Einav Cohen
Modified: 2016-01-28 16:56 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 06:56:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19552 None None None Never
oVirt gerrit 19721 None None None Never

  None (edit)
Description Einav Cohen 2013-08-28 21:35:24 EDT
Description of problem:

oVirt supports a context-sensitive help infrastructure: if a dialog-id-to-URL mapping is supplied within "http://[engine-server]/doc/ovirt-engine/manual/DocumentationPath.csv", a question-mark ("?") icon will appear in each dialog next to its title, and clicking it will lead to the relevant URL in the mapping.

[same goes for user portal and a file called "UserPortalDocumentationPath.csv"]

this file (and the entire documentation, for that matter) doesn't necessarily exist.

we should make the documentation base path brandable (and have it empty for oVirt by default, as oVirt doesn't have built-in documentation at the moment). the web-admin (and user portal) will check in run-time if the documentation base path is empty, and if so -  it won't try to do anything related to documentation, e.g. try to retrieve the mapping [*.csv] files.
Comment 1 Alon Bar-Lev 2013-09-17 15:27:22 EDT
Hello Einav,

Why do you see this as branding and not product configuration?

Branding is changing themes, specific strings etc...

I do not think that the documentation URI falls into that category...

Thanks,
Alon
Comment 2 Alon Bar-Lev 2013-09-26 05:21:17 EDT
(In reply to Alon Bar-Lev from comment #1)
> Hello Einav,
> 
> Why do you see this as branding and not product configuration?
> 
> Branding is changing themes, specific strings etc...
> 
> I do not think that the documentation URI falls into that category...
> 
> Thanks,
> Alon

We are going into the configuration option, putting empty manual upstream.
Comment 3 Sandro Bonazzola 2013-11-25 06:56:07 EST
oVirt 3.3.1 has been released

Note You need to log in before you can comment on or make changes to this bug.